Bug 430431 - pam should ask dbus not to alter SIGPIPE handling
pam should ask dbus not to alter SIGPIPE handling
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2008-01-27 20:11 EST by dann
Modified: 2013-03-05 22:54 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.2.3-3.fc8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 04:28:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dann 2008-01-27 20:11:28 EST
Description of problem:

When the login shell is tcsh, 
ls | head 
gives strange a error: "ls: write error: Broken pipe"


This was tracked down to pam calling dbus which alters SIGPIPE handling.
(long story at:
http://thread.gmane.org/gmane.comp.gnu.coreutils.bugs/11203/focus=11902)

It seems that the resolution to corresponding the bug report for dbus:

https://bugs.freedesktop.org/show_bug.cgi?id=13318

was that pam should be changed. See:
https://bugs.freedesktop.org/show_bug.cgi?id=13318#c7

Can you please do that?

Thanks!

Version-Release number of selected component (if applicable):
pam-0.99.8.1-10.fc8
Comment 1 Tomas Mraz 2008-01-28 03:02:16 EST
pam_ck_connector.so calls dbus.
Comment 2 Matthias Clasen 2008-02-05 10:47:49 EST
The function in question is dbus_connextion_set_change_sigpipe
Comment 3 Fedora Update System 2008-02-05 13:56:28 EST
ConsoleKit-0.2.3-3.fc8 has been submitted as an update for Fedora 8
Comment 4 jmccann 2008-02-05 14:00:38 EST
Also, a more reliable test case is:

tcsh -c "seq 9999 | head -1"
Comment 5 Fedora Update System 2008-02-13 00:07:28 EST
ConsoleKit-0.2.3-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ConsoleKit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1549
Comment 6 Fedora Update System 2008-03-01 04:28:05 EST
ConsoleKit-0.2.3-3.fc8.1 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.